[pypy-svn] r41262 - pypy/dist/pypy/config

pedronis at codespeak.net pedronis at codespeak.net
Sat Mar 24 21:14:36 CET 2007


Author: pedronis
Date: Sat Mar 24 21:14:35 2007
New Revision: 41262

Modified:
   pypy/dist/pypy/config/pypyoption.py
Log:
currently disabling geninterp doesn't really work. e.g import array; array.__dict__
explodes in a circulary dependency. Remove the corresponding command line options



Modified: pypy/dist/pypy/config/pypyoption.py
==============================================================================
--- pypy/dist/pypy/config/pypyoption.py	(original)
+++ pypy/dist/pypy/config/pypyoption.py	Sat Mar 24 21:14:35 2007
@@ -88,6 +88,7 @@
                negation=False),
 
     BoolOption("geninterp", "specify whether geninterp should be used",
+               cmdline=None,
                default=True),
 
     BoolOption("logbytecodes",
@@ -251,9 +252,9 @@
 ##                              ("translation.backend", "llvm")],
 ##                    cmdline="--llvm-faassen", negation=False),
      ]),
-    BoolOption("lowmem", "Try to use less memory during translation",
-               default=False, cmdline="--lowmem",
-               requires=[("objspace.geninterp", False)]),
+    #BoolOption("lowmem", "Try to use less memory during translation",
+    #           default=False, cmdline="--lowmem",
+    #           requires=[("objspace.geninterp", False)]),
 
 
 ])



More information about the Pypy-commit mailing list